\begin{small}

\begin{flushleft}

  \noindent\textbf{\mXp\ User Manual}\\
  Copyright \copyright\ 2007,\,2008,\,2009,\,2010,\,2011,\,2012 by Filippo \textsc{Rusconi}\\
  
  \noindent \url{http://www.massxpert.org} \bigskip

\end{flushleft}
  
\noindent This documentation and all its accompanying files are a part
of the \mXp\ project. They are software and are an integral part of
the software they document.
  
The \mXp\ project is released---in its entirety---under the GNU
General Public License and was started at the Centre National de la
Recherche Scientifique (CNRS, Bordeaux, FRANCE) in the form of the GNU
polyxmass software suite. The CNRS granted me the formal authorization
to publish GNU polyxmass under this Free Software License. Because
\mXp\ is a derivative work of GNU polyxmass, being a mere rewrite of
the software using the Trolltech Qt libraries instead of the GNU
libgobject/libgdk/libgtk+ libraries, it is also published under the
GNU General Public License.

This software is free software; you can redistribute it and/or
modify it under the terms of the GNU  General Public
License version 3, as published by the Free Software Foundation.

This software is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <\url{http://www.gnu.org/licenses/}>.

A copy of the license is included in the appendix entitled ``GNU
General Public License Text''.

\bigskip

\noindent For more details see the file \filename{COPYING} in the
\mXp\ distribution files.

\bigskip

\end{small}

\noindent%
\vspace{5mm}
\textbf{Revision History}
\vspace{-5mm}
\begin{itemize}

\item \textbf{september 2015 the 18\sps{th}} Update the manual to
  reflect the changes in the way ion product masses are computed in
  \mXp{} and update the various examples. Now, the fragmentation
  specification must produce fragments that are \emph{uncharged}. The
  software will then ionize the fragments using the ionization rule
  currently in use in the \xpe\ module;

\item \textbf{decembre 2012 the 05\sps{th}} Update the manual to
  document the various new ways to import data in the mz list in the
  \mzl\ of the \xpm\ module;

\item \textbf{october 2011 the 22\sps{nd}} Update the manual to
  describe the new fragmentation of oligomer containing cross-linked
  monomers feature;

\item \textbf{august 2011 the 29\sps{th}} Update the manual to
  describe a number of new features;

\item \textbf{april 2010 the 29\sps{th}} Updated the section about the
  definition of monomers to document the new feature about computing
  the mass difference between any two monomers in the definition;

\item \textbf{april 2010 the 27\sps{th}} Updated the section about the
  cleavages of polymer sequences (\xpe\ chapter) to document the new
  feature that allows to only perform a cleavage in the currently
  selected region of a polymer sequence;

\item \textbf{june 2009 the 19\sps{th}} Updated the section about the
  chemical pad (\xpc\ chapter) to reflect improvements in the use of
  the chemical pad buttons (either immediate evaluation of the formula
  or mere insertion of the formula in the formula line edit widget);

\item \textbf{june 2009 the 17\sps{th}} Updated the section about the
  chemical pad (\xpc\ chapter) to reflect improvements in the
  graphical display of the chemical pad buttons as programmed in the
  \texttt{chem\_pad.conf} configuration files;

\item \textbf{april 2009 the 1\sps{st}} Although not visible in the
  documentation, I wanted to publically extend my warm thanks to
  Lionel \'Elie Mamane, who helped me along these last months with the
  Debian packaging of \mXp. Note that this work also proved useful for
  other areas in the project.

\item \textbf{february 2009 the 20\sps{th}} Updated the \xpe\ chapter
  to show how to configure the options about the number of decimals to
  be used for display of numerals in the program;

\item \textbf{february 2009 the 5\sps{th}} Updated the \xpe\ chapter
  to show the simplified polymer sequence editing feature whereby
  editing of the sequence might be performed by clicking on monomer
  items in the list of all the monomers defined in the polymer
  chemistry definition. Fixed small bug in the documentation of about
  multi-region selection behaving as oligomers or residual chains.

\item \textbf{december 2008 the 11\sps{th}} Updated the \xpe\ chapter
  to show the feature by which it is now possible to force the
  calculation engine to take into account the left/right end
  modification(s) when calculating the masses of a sequence region
  that does not encompass the left/right end of the polymer
  sequence. This new feature was essential in trying to perform full
  simulations of the molecular heterogeneity of the telokin protein
  (Rusconi \textit{et al.}  1997 \textit{Biochemistry}). Added a
  paragraph about max count of chemical modifications of a given
  monomer at once in the \xpd\ chapter and another one in the \xpe\
  chapter to explain its working;

\item \textbf{september 2008 the 11\sps{th}} Finally indexed the whole
  document. Performed some minor modifications so that the
  documentation system does not produce HTML files anymore (the HTML
  production was not really worth it anyways);
\item \textbf{august 2008 the 5\sps{th}} Updated the user manual with a
  bunch of updated screen shots;
\item \textbf{july 2008 the 30\sps{th}} Updated the \xpm\ chapter to
  illustrate the m/z--z mass list matching feature;
\item \textbf{july 2008 the 8\sps{th}} Updated the \xpe\ chapter to
  illustrate the new multi-cleavage feature;
\item \textbf{july 2008 the 1\sps{st}} Updated the \xpe\ chapter to
  illustrate the new multi-region and multi-selection features;
\item \textbf{may 2008 the 29\sps{th}} Changed the install
  instructions for the \OSname{Mac~OS~X} system;
\item \textbf{may 2008 the 27\sps{th}} Added a chapter about \xpm\ to
  document the new features in that module. Some fixes here and there.
\item \textbf{may 2008 the 26\sps{th}} Modified the documentation to
  reflect switch to version 3 of the GNU General Public License;
\item \textbf{april 2008 the 25\sps{th}} The installation chapter was
  updated to illustrate the installation of the software in the
  \OSname{Mac OS X} system;
\item \textbf{april 2008 the 24\sps{th}} The installation chapter was
  updated to reflect the changes in the way the package might be
  installed (the package is now relocatable, provided the user
  indicates where the directories are located);
\item \textbf{april 2008 the 2\sps{nd}} The \xpd\ chapter was updated
  to detail the new way of defining fragmentation specifications where
  the side chain is decomposed in the gas-phase. The section about
  fragmentations is now much better documented;
\item \textbf{march 2008 the 30\sps{th}} The \xpe\ chapter was updated
  to include a description of the new fragmentation/mass searching
  data in-place filtering. A section is now devoted to data filtering;
\item \textbf{march 2008 the 25\sps{th}} The \xpe\ chapter was updated
  to include a description of the new sequence cleavage data in-place
  filtering;
\item \textbf{march 2008 the 18\sps{th}} The \xpe\ chapter was updated
  to include a description of the find sequence motif feature;
\item \textbf{march 2008 the 13\sps{th}} The \xpe\ chapter was
  updated to include a new paragraph about monomer cross-linking as
  this is now implemented in the software;
\item \textbf{february 2008 the 21\sps{th}} The \xpe\ chapter was
  updated to include a new figure of the polymer modification
  procedure and to describe the enhanced modification procedure;
\item \textbf{february 2008 the 15\sps{th}} The \xpe\ chapter was
  updated to include a new figure of the monomer modification
  procedure and to describe the enhanced modification procedure;
\item \textbf{december 2007 the 17\sps{th}} The chapter about
  installation of \mXp\ has been rewritten to reflect changes in the
  building of \mXp\ and in the installation of \OSname{Debian
    GNU/Linux} and \OSname{Fedora core GNU/Linux} packages;
\item \textbf{december 2007 the 16\sps{th}} The chapter about polymer
  chemistry definitions has been refactored to reflect the rewriting
  of the corresponding code. Added a small section about m/z ratio
  calculation, that was missing, although the feature was added a long
  time ago;
\item \textbf{september~2007 the 22\sps{nd}} The new multi-charged
  cleavage and fragmentation oligomers have been documented;
\item \textbf{august~2007 the 19\sps{th}} Switched back to version 2 of
  the GPL in the Appendices chapters, as \mxp\ cannot be licensed
  otherwise: the Qt libraries are licensed using version 2 of the GPL
  without the ``or any later version, at your option'' wording;
\item \textbf{july~2007 the 28\sps{th}} Updated the \xpd\ chapter
  (modifications) to show the new ``targets'' feature. Updated the
  \xpe\ chapter to show the new monomer modification dialog.
\item \textbf{july~2007 the 19\sps{th}} Added explanation on the
  arbitrary formula-based polymer sequence ends modification.
\item \textbf{july~2007 the 13\sps{th}} Revision of the whole
  document for a better printed output;
\item \textbf{july~2007 the 10\sps{th}} Added a section to the
  \xpe\ chapter about the data mining mass list lab feature added
  recently.  Mentioned the installation of \OSname{Debian} packages;
\item \textbf{june~2007 the 30\sps{th}} Switched the project and
  all accompanying documentation and other data files to GPL version~3; 
\item \textbf{mid-june~2007} Start of the writing by taking inspiration of
  the GNU polyxmass manual.
\end{itemize}


\cleardoublepage

\begin{small}
  \begin{flushright}
    \mbox{}\vspace{50mm}\\
    \textit{To $\mathcal{MARIA\ CECILIA}$,\vspace{5mm}\\
      To all the admirable people acting in the ``\emph{Free Software
        Movement}'' \\for a better and more ethical computing
      world,\vspace{3mm}\\
      To all involved in the development of the K Desktop Environment (KDE),\vspace{3mm}\\
      To all the readers who helped me with this manual\dots}
  \end{flushright} 
\end{small}
\vfill

\cleardoublepage


%%% Local Variables: 
%%% mode: latex
%%% TeX-master: "massxpert"
%%% End: 
